.selectable-icon-text-button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background-color: transparent;
}

.selectable-icon-text-button .icon {
  padding: 0.2rem;
  color: var(--Main-Foreground);
  display: block;
}

.button-text {
  padding-top: var(--spacing-small);
  color: var(--Main-Foreground);
  text-align: center;
  font-size: var(--text-size-body);
  font-weight: 600;
  white-space: nowrap;
  overflow: visible;
}

.selectable-icon-text-button.selected .icon {
  color: white;
  background-color: var(--Main-Foreground);
  border-color: transparent;
  padding: 0.2rem 0.8rem;
  flex-shrink: 0;
  border-radius: 1.6875rem;
}

.selectable-icon-text-button.selected {
  font-weight: 600;
}

.selectable-icon-text-button:active .icon {
  background: var(--Hint-Foreground);
  border-color: transparent;
  padding-left: 0.6rem;
  padding-right: 0.6rem;
  flex-shrink: 0;
  border-radius: 1.6875rem;
}

.selectable-icon-text-button.selected:active .icon {
  color: black;
}

@media (prefers-color-scheme: dark) {
  .selectable-icon-text-button.selected .icon {
    background: rgba(255, 255, 255, 0.8);
    color: black;
    border-color: transparent;
    padding: 0.2rem 0.8rem;
    flex-shrink: 0;
    border-radius: 1.6875rem;
  }

  .selectable-icon-text-button:active .icon {
    background: rgba(255, 255, 255, 0.15);
    border-color: transparent;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    flex-shrink: 0;
    border-radius: 1.6875rem;
  }

  .selectable-icon-text-button.selected:active .icon {
    color: white;
  }
}
